commit:     3eee8edb7691dae2a346bb4460e31207a9bc27e2
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 17 04:35:24 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jan 17 05:07:56 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3eee8edb

dev-python/tavern: Bump to 2.0.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/tavern/Manifest            |  1 +
 dev-python/tavern/tavern-2.0.1.ebuild | 50 +++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/tavern/Manifest b/dev-python/tavern/Manifest
index 554c938b5efa..363c298e9b18 100644
--- a/dev-python/tavern/Manifest
+++ b/dev-python/tavern/Manifest
@@ -1,2 +1,3 @@
 DIST tavern-1.24.1.gh.tar.gz 163938 BLAKE2B 
661160fe203e5117452e23178a74279a982cb3e4b4cdb84df074d5cd8481796cb9a05b2c5d42b225c6a2d2cf34283166d59a3242ff5df76a457d89c6acf60576
 SHA512 
9a9f7e46172a62a0dbf0c42aa0521d0fbde644f05a650dd768a32b3c8652bb17209b8073519830e52b2865bbe646825e650cce251184b85f0a5343cfd2ceb1c3
 DIST tavern-2.0.0.gh.tar.gz 207901 BLAKE2B 
8b5c68a16361afcf3ff5936e0d7e3d706da5052422e2c7a6aef97c8dcdfc370c8d0236bf40c9b03e12120f06279d4af39d321964214ddc0e2db7bf4e91c389b3
 SHA512 
aed751dccc26317c35d96b29e0b3ed6bc5d4f4bd70261c296dfd5573a83cb9b10e022a247eb9df72a2879f2d324098233b6fbae8847472052eb1536f457f7592
+DIST tavern-2.0.1.gh.tar.gz 208510 BLAKE2B 
a1b6f19d188437758690eced663556e9e3a5cfc8cedf4e04baba0478efd9507faa5dce2c6f308b2ce6e806617a5e75a8a1b2e60d9afe804b2294ca772ffbc7e9
 SHA512 
72025db6efa7d41f7dfe80ffc83033e12941ac3a9c4b71170647e571f6ce5022c84c0976d7d50fdfe38da06a4b516e334eed2334e016cfb013613fcc05eeaa9e

diff --git a/dev-python/tavern/tavern-2.0.1.ebuild 
b/dev-python/tavern/tavern-2.0.1.ebuild
new file mode 100644
index 000000000000..8c27233e3771
--- /dev/null
+++ b/dev-python/tavern/tavern-2.0.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A tool, library, and Pytest plugin for testing RESTful APIs"
+HOMEPAGE="
+       https://github.com/taverntesting/tavern/
+       https://pypi.org/project/tavern/
+"
+SRC_URI="
+       https://github.com/taverntesting/tavern/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       dev-python/jmespath[${PYTHON_USEDEP}]
+       dev-python/paho-mqtt[${PYTHON_USEDEP}]
+       dev-python/pyjwt[${PYTHON_USEDEP}]
+       dev-python/pykwalify[${PYTHON_USEDEP}]
+       dev-python/pytest[${PYTHON_USEDEP}]
+       dev-python/python-box[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/stevedore[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/colorlog[${PYTHON_USEDEP}]
+               dev-python/Faker[${PYTHON_USEDEP}]
+               dev-python/jsonschema[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # strip unnecessary pins, upstream doesn't update them a lot
+       sed -i -E -e 's:,?<=?[0-9.]+::' pyproject.toml || die
+       distutils-r1_src_prepare
+}

Reply via email to